Mirror3D Method

Back to Methods Reference

Creates a mirror image of the given object about a plane.

Signature

VBA : RetVal = object.Mirror3D(Point1, Point2, Point3)

VL : RetVal = (vla-Mirror3D object Point1 Point2 Point3)

(vla-Mirror3D obj fpoint spoint tpoint)

  • Object : All Drawing Objects
    The object or objects this method applies to.

  • Point1 : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the first point of the mirror plane.

  • Point2 : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the second point of the mirror plane.

  • Point3 : Variant (three-element array of doubles); input-only
    The 3D WCS coordinates specifying the third point of the mirror plane.

  • RetVal : Mirrored object
    This object can be one of any Drawing Objects.

Remarks

AutoCAD checks to see if the object to be copied owns any other object. If it does, it performs a copy on those objects as well. The process continues until all owned objects have been copied.

NOTE You cannot execute this method while simultaneously iterating through a collection. An iteration will open the work space for a read-only operation, while this method attempts to perform a read-write operation. Complete any iteration before you call this method.

AttributeReference: You should not attempt to use this method on AttributeReference objects. AttributeReference objects inherit this method because they are one of the drawing objects, however, it is not feasible to perform this operation on an attribute reference.

Example :


(defun c:al-mirror3d ()

(vl-load-com)

(setq util (vla-get-utility 
                   (vla-get-activedocument 
                        (vlax-get-acad-object))))
                        
(vla-getentity util 'obj 'ip "\nSelect Object: ")

(setq fpoint (vla-getpoint util nil 
                "\nSpecify first point of mirror line: "))

(setq spoint (vla-getpoint util fpoint 
                 "\nSpecify second point of mirror line: "))

(setq tpoint (vla-getpoint util fpoint 
                  "\nSpecify third point of mirror line: "))

(setq newobj (vla-Mirror3D obj fpoint spoint tpoint))

(princ)

);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website